<template>
  <div id="app">
    <Menu></Menu>
    <Authorization></Authorization>
    <router-view class="page"></router-view>
    <Footer></Footer>
    <notifications group="app"></notifications>
  </div>
</template>

<script>
// @ is an alias to /src
import Footer from "@/components/Footer.vue";
import Menu from "@/components/Menu.vue";
import Authorization from "@/components/Authorization.vue";
import {mapActions, mapGetters, mapMutations} from 'vuex';

export default {
  name: "App",
  components: {
    Footer,
    Menu,
    Authorization
  },
  methods: {
    ...mapActions(['GET_SESSION_INFO']),
    ...mapMutations(['RESET_USER']),
    async init() {
      await this.GET_SESSION_INFO();
      if (!this.sessionInfo.isAuthenticated && this.$route.name === 'account') {
        this.RESET_USER();
        this.$router.push('/');
      } else if (!this.sessionInfo.isAuthenticated) {
        this.RESET_USER();
      }
    }
  },
  computed: {
    ...mapGetters({
      sessionInfo: 'getSessionInfo'
    })
  },
  mounted() {
    this.init();
  }
};
</script>

<style lang="sass">
#app
  font-family: $mainFont
  text-align: center
  color: #2c3e50
  .page
    padding-top: rem(80)
</style>
